# Briefcase Connections

Retrieves the information about a Briefcase connection.

Endpoint: GET /briefcase/connections
Version: 1.5
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)

## Path parameters:

  - `version` (string, required)
    The version of the API.

## Response 200:

  - `200` (unknown)
    Request successful.

## Response 200 fields (application/json):

  - `inviterPartyKey` (string)
    The ID of the party who initiated the connection.

  - `inviterPartyName` (string)
    The name of the party who initiated the connection.

  - `connectedPartyKey` (string)
    The ID of the party who accepted the connection.

  - `connectedPartyName` (string)
    The name of the party who accepted the connection.

  - `direction` (string)
    The direction of the connection. It can either be `Sender` or `Recipient`.

  - `status` (string)
    The status of the connection. It can either be `ACCEPTED`, `PENDING`, or `REJECTED`.

  - `proposedDateTime` (string)
    The date and time when a party initiated the Briefcase connection.

  - `responseDateTime` (string)
    The date and time when a party responded to a Briefcase invite.

## Response 400:

  - `400` (unknown)
    Bad Request - Invalid Input

## Response 400 fields (application/json):

  - `error` (string)
    Example: No file found to process

## Response 401:

  - `401` (unknown)
    Bad Request - Authentication Error

## Response 401 fields (application/json):

  - `error` (string)
    Example: Bad token

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `error` (string)
    Example: Briefcase feature disabled

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (string)
    Example: Encountered an unknown error. It has been reported. Please contact support@moneythumb.com for any questions.

  - `requestId` (string)
    Unique identifier for the request, useful for tracing.

## Response 503:

  - `503` (unknown)
    Server Error - Service Unavailable

## Response 503 fields (application/json):

  - `error` (string)
    Example: Service unavailable

